/// <reference types="react" />
import { BallIndicatorProps } from 'react-native-indicators';
/**
 * Type of spinner. See examples at:
 *
 * https://github.com/n4kz/react-native-indicators
 *
 * @export
 * @enum {string}
 */
export declare type CrossSpinnerType = 'BallIndicator' | 'BarIndicator' | 'DotIndicator' | 'MaterialIndicator' | 'PacmanIndicator' | 'PulseIndicator' | 'SkypeIndicator' | 'UIActivityIndicator' | 'WaveIndicator';
/**
 * Properties for the {@link CrossSpinner} component
 */
export interface ICrossSpinnerProps extends BallIndicatorProps {
    /**
     * Type of animatoon
     * {@link CrossSpinnerType}
     */
    type: CrossSpinnerType;
    /**
     * Optional custom styles
     */
    style?: any;
    testID?: string | undefined;
}
/**
 * Generates a React-Native spinning busy indicator
 *
 * Properties are {@link ICrossSpinnerProps}
 *
 * https://github.com/n4kz/react-native-indicators
 *
 * @param param0 see {@link ISpinnerProps}
 */
export declare const CrossSpinner: ({ type, style, color, count, size, testID, }: ICrossSpinnerProps) => JSX.Element;
//# sourceMappingURL=CrossSpinner.d.ts.map